Create a BR-DGE Hosted Payment Page Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The information provided here will be combined with payment instrument data collected from shoppers via a BR-DGE Hosted Payment Page for use in payments.

allowedPaymentInstruments
array of objects

By default, the BR-DGE Hosted Payment Page will attempt to offer all possible payment methods based on a range of criteria including:

  • The payment methods that are enabled on your retail channels.

  • The availability of PSPs connected to your retail channel, and the payment methods they support.

  • The payment methods that are supported by your customers' web browser. As it is sometimes useful to limit the available payment methods on a per-order basis, you have the option to specify a set of allowed payment methods when creating an order via POST /orders. This will result in only the payment methods specified in the set being offered to your customer as part of the order.

Possible values:

  • card

  • applePay

  • googlePay

  • payPal

  • astroPay

  • visaInstalments please note that you should also enable card if you wish to enable Visa Installments.

  • trustly

allowedPaymentInstruments
int64
required
1 to 999999999999999

Amount in a currency to be used for the transaction. In the lowest denomination of the currency of the payment. This means that 1234 in GBP represents £12.34.

billingAddress
object
string

Link to terms and conditions relating to saving card details. If cardOnFileTermsAndConditionsUrl is specified and customerAgreedToSaveCard`` is set to true then a message will be displayed to your customer notifying them that their card details will be saved according to the linked terms and conditions. If cardOnFileTermsAndConditionsUrlis specified andcustomerAgreedToSaveCard` is not specified or set to false then your customer will be given the opportunity to agree to the linked terms and conditions and have their card details saved.

double

If provided then when BR-DGE detects a shopper using a corporate card we will automatically apply a surcharge to the base amount for the order. Your customer will be notified of any surcharges and given the option to use an alternative payment method.

string
required

Currency code of the payment (ISO 4217)

boolean
Defaults to false

If Credentials On File Mandate requirements relating to cardholder consent has been met prior to creating an order you can set this flag to ensure that the Hosted Payment Page always creates a BR-DGE Card on File if your customer enters card details.

Please note that if you set this to true then you also need to provide a link to the agreement via the cardOnFileTermsAndConditionsUrl field.

boolean
Defaults to false

Determines if the save card checkbox is to be displayed or not.

string
required
length between 1 and 254

Email address of the customer

string
required
length between 1 and 255

First name of the customer (customerFirstName length plus customerLastName length must be less than 255 characters long)

string
length between 1 and 100

Associate order with a customer identifier. Any pre-existing BR-DGE Card on Files for the customer will automatically be presented as payment methods and any new BR-DGE Cards on File will be associated with the customer. Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

string
length between 1 and 255

Last name of the customer (customerFirstName length plus customerLastName length must be less than 255 characters long)

string
required
length between 1 and 50

You may provide your own order code to be used in payments This is separate from the BR-DGE order. Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

string
length ≤ 255

Telephone number of the customer

deliveryAddress
object
string
Defaults to capture

By default payments are captured immediately, but you can you can choose to split the authorization and the capture of the payment.

  • authorize - if you intend to capture separately using POST /payments/{paymentId}/capture
  • capture - If you intend to capture immediately
string
enum

Only set this field if you are using the Hosted Payment Page to perform an initial Merchant Initiated Transaction (MIT).

For more information see here.

Possible values:

  • unscheduled An unscheduled charge for a service such as e-scooter hire
  • recurring A recurring payment for a magazine subscription
Allowed:
string
required
length between 1 and 255

Description of what the order is for

Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

string
required

Return URL for confirmed order

threeDSecureOptions
object

Some Payment Service Providers allow you to pass parameters to indicate your preferences relating to 3-D Secure.

Note: We cannot guarantee that downstream Payment Service Providers will honour your preferences, but we can ensure that your preferences are passed on whenever possible.

boolean

You can indicate that 3-D Secure processing is preferred, usually initializing a 3-D Secure authentication flow.

Note that setting this as true does not guarantee that the payment will end up with successful 3-D Secure authentication. Also, setting this to false does not guarantee that 3-D Secure authentication will not be applied to the payment, as some PSPs may choose to apply their own rules around this regardless need to opt-in to 3-D Secure authentication on a per-payment basis.

string
length between 1 and 200

A comma-delimited set of BR-DGE Card on File multi-use tokens to be offered as payment methods for the order.

Please use only letters, numbers, spaces and these symbols: '[]()@?!\-/.,_&*:;+=

payPal
object

Additional configuration if PayPal is enabled within your order and Retail Channel.

Responses

401

Unauthorized request.

Callbacks
Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json